package com.company.dtogriderror.view.newentitydto;

import com.company.dtogriderror.entity.NewEntityDTO;
import com.company.dtogriderror.view.main.MainView;
import com.vaadin.flow.router.Route;
import io.jmix.core.DataManager;
import io.jmix.core.LoadContext;
import io.jmix.flowui.model.CollectionContainer;
import io.jmix.flowui.view.*;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Arrays;
import java.util.Collection;
import java.util.List;

@Route(value = "newEntityDToes", layout = MainView.class)
@ViewController(id = "NewEntityDTO.list")
@ViewDescriptor(path = "new-entity-dto-list-view.xml")
@LookupComponent("newEntityDToesDataGrid")
@DialogMode(width = "50em")
public class NewEntityDTOListView extends StandardListView<NewEntityDTO> {

    @ViewComponent
    private CollectionContainer<NewEntityDTO> newEntityDToesDc;
    @Autowired
    private DataManager dataManager;

    @Subscribe
    public void onBeforeShow(final BeforeShowEvent event) {
        NewEntityDTO newEntityDTO1 = dataManager.create(NewEntityDTO.class);
        NewEntityDTO newEntityDTO2 = dataManager.create(NewEntityDTO.class);
        NewEntityDTO newEntityDTO3 = dataManager.create(NewEntityDTO.class);

        newEntityDTO1.setField1("asdf");
        newEntityDTO1.setField2("ascdf");
        newEntityDTO1.setField3("asdzf");

        newEntityDTO2.setField1("asdasdff");
        newEntityDTO2.setField2("asdfxc");
        newEntityDTO2.setField3("acsdf");

        newEntityDTO3.setField1("abvbsdf");
        newEntityDTO3.setField2("a12sdf");
        newEntityDTO3.setField3("1dasdf");

        List<NewEntityDTO> newEntityDTOList = Arrays.asList(newEntityDTO1, newEntityDTO2, newEntityDTO3);
        newEntityDToesDc.setItems(newEntityDTOList);
    }

}
